import 'dart:collection';

import 'package:fis_jsonrpc/rpc.dart';
import 'package:get/get.dart';

class PackageInfoState {
  // servicePack
  final Rx<ServicePackDTO> _servicePack = Rx(ServicePackDTO());
  final RxList<ServiceItemDTO> _serviceItems = RxList();

  ServicePackDTO get servicePack => _servicePack.value;
  set servicePack(ServicePackDTO val) => _servicePack.value = val;

  /// 服务包集合
  List<ServiceItemDTO> get serviceItems =>
      UnmodifiableListView(_serviceItems.toList());
  set serviceItems(List<ServiceItemDTO> val) => _serviceItems.value = val;
}
